PRO RSDU,ufnl
on_error,1
compile_opt hidden

;... preamble
if n_params() eq 0 then begin
print,'RSDU,ufnl'
return & endif

;... shared memory
COMMON GENSTRE,sstre,csstre,snstre,xnstre,ynstre,$
vgstre,ggstre,ddstre,u0stre,sg0stre,u0dotstre,sg0dotstre
COMMON UDVS,ustre,udotstre,uprstre
COMMON SGDVS,sgstre,sgdotstre,sgprstre
COMMON CFCALFVGXRMW,cfu,cfsg,c,alf,vgx,rmw
beta=.130612

;... current auxilliary arrays
issg=sgstre & vstre=vgstre+sgstre & isv=vstre
issg(1:*,*)=issg(1:*,*)/sstre(1:*,*) & issg(0,*)=issg(1,*)
isv(1:*,*)=isv(1:*,*)/sstre(1:*,*) & isv(0,*)=isv(1,*)
wstre=sqrt((0.8*ustre+c*snstre)^2+(0.8*vstre+c*csstre)^2)

;... u equation residual and functional
sggstar=sgstre*(ggstre+issg)
uwterm=(0.8*ustre+c*snstre)*(wstre-c)*(1.+beta*wstre)
uudot=ustre*udotstre & isvupr=isv*uprstre
resu=uudot-sggstar+isvupr+alf*uwterm & jx=size(resu) & jx=jx(2)-3

;... total u functional to be minimized
ufnl=total(abs(resu(5:15,1:jx)))/n_elements(resu(5:15,1:jx))
END ;RSDU.PRO

