;USADV.M
;... exclude polar origin from computations
g=gg(1:*)+sg(1:*)/s(1:*) & d=dd(1:*)+sg(1:*)/s(1:*)
v=vg+sg & w=0.8*sqrt(u^2+v^2) & w=alpha*w*(1.+beta*w)
sgz=sg(1:*) & vz=v(1:*) & uz=u(1:*) & wz=w(1:*)
dsuz=dsu(1:*) & dssgz=dssg(1:*) & vgzz=vg(1:*)

;... include advection terms from the previeous iteration
deno=wz*(wz+dsuz)+g*(d+dssgz)
uz=-g*wz*vgzz/deno & sgz=-wz*(wz+dsuz)*vgzz/deno

;... restore polar origin to u and sg
u=[0.,uz] & sg=[0.,sgz]
;USADV.M


