;USNOADV.M
;...calculate u and sg ignoring radial advection

;...exclude polar origin from computations
g=gg(1:*)+sg(1:*)/s(1:*) & d=dd(1:*)+sg(1:*)/s(1:*)
v=vg+sg & w=0.8*sqrt(u^2+v^2) & w=alpha*w*(1.+beta*w)
deno=d*g+w(1:*)^2

;...calculate u and sg ignoring radial advection
u(1:*)=(-g*vg(1:*)*w(1:*)/deno+u(1:*))/2
sg(1:*)=(-vg(1:*)*w(1:*)^2/deno+sg(1:*))/2

;... restore polar origin to u and sg
u(0)=0. & sg(0)=0.
;USNOADV.M

